%define	modname	fsam7400

Name:		dkms-%{modname}
Version:	0.5.2
%define		subrel 1
Release:	%mkrel 3
Summary:	DKMS-ready driver for fsam7400 SW killswitch
License:	GPLv2
Source0:	http://www.iragan.com/linux/fsam7400/%{modname}-%{version}.tbz
Patch0:		%{modname}-proc_create.patch
Url:		http://www.iragan.com/linux/fsam7400/
Group:		System/Kernel and hardware
Requires(pre):	dkms
Requires(post): dkms
Buildarch:	noarch

%description
This package contains a DKMS-ready driver for fsam7400 SW killswitch.

%prep
%setup -q -c -n %{modname}-%{version}
%patch0 -b .proccreate
%__chmod -R go=u-w .

%build

%install
%__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
%__cp -a %{modname}-%{version}/* %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
%__cat > %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{modname}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"
BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/drivers/net/wireless"
REMAKE_INITRD="no"
AUTOINSTALL="YES"
EOF

%post
/usr/sbin/dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
/usr/sbin/dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
/usr/sbin/dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade


%preun
/usr/sbin/dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all

%files
%{_usrsrc}/%{modname}-%{version}-%{release}



%changelog
* Wed Feb 12 2014 matteo <matteo> 0.5.2-3.1.mga4
+ Revision: 589867
- support proc_create interface (fix bug mga#12723)

* Fri Oct 18 2013 umeabot <umeabot> 0.5.2-3.mga4
+ Revision: 521873
- Mageia 4 Mass Rebuild

* Sat Jan 26 2013 matteo <matteo> 0.5.2-2.mga3
+ Revision: 392312
- updated url and source (previous not working anymore)
- spec file cleanup

* Wed Sep 07 2011 matteo <matteo> 0.5.2-1.mga2
+ Revision: 140882
- imported package dkms-fsam7400

